Page MenuHomeFreeBSD

Update net/glusterfs to 8.0
ClosedPublic

Authored by flo on May 28 2020, 2:31 PM.

Details

Summary

With the changes in this revision we are able to compile and run glusterfs on 11.3, 11.4, 12.1 and head.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

flo requested review of this revision.May 28 2020, 2:31 PM
This comment was removed by flo.
flo retitled this revision from Update net/glusterfs to 7.6 (this version compiles but does not run yet) to Update net/glusterfs to 8.0.

Update to 8.0.

Merge important fixes from https://github.com/tuaris/freebsd-glusterfs7/tree/master/net/glusterfs7 with these fixes glusterfsd actually runs and you can successfully create, start and mount volumes.

lwhsu added inline comments.
Makefile
8 ↗(On Diff #74595)

we probably want to ping the maintainer or have a PR to wait for timeout of maintainership take over?

flo marked an inline comment as done.Jul 20 2020, 8:30 PM
flo added inline comments.
Makefile
8 ↗(On Diff #74595)

Looking at the history of the ports it's quite obvious that the maintainer doesn't have an interest in the port anymore. There is also https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=235305#c2 I think changing the maintainer won't be a problem. I talked to Daniel Morante he'd be OK becoming the maintainer. He worked with me on this update. ports@ is just a placeholder for now. I don't want to be the official maintainer, and ports@ would allow others to easily make changes. Most likely we'll set Daniel as maintainer. He's also contributed fixes to glusterfs PRs in the past.

flo marked an inline comment as done.

Merge a patch by Daniel Morante <daniel@morante.net> from PR 236112

This revision was not accepted when it landed; it landed in state Needs Review.Jul 29 2020, 8:34 PM
This revision was automatically updated to reflect the committed changes.